Skip to main content
PATCH
/
shield
/
shield-zone
/
{shieldZoneId}
/
bot-detection
Update your current Bot Detection configuration
curl --request PATCH \
  --url https://api.bunny.net/shield/shield-zone/{shieldZoneId}/bot-detection \
  --header 'Content-Type: application/json' \
  --data '
{
  "shieldZoneId": 123,
  "requestIntegrity": {},
  "ipAddress": {},
  "browserFingerprint": {
    "complexEnabled": true
  }
}
'
import requests

url = "https://api.bunny.net/shield/shield-zone/{shieldZoneId}/bot-detection"

payload = {
"shieldZoneId": 123,
"requestIntegrity": {},
"ipAddress": {},
"browserFingerprint": { "complexEnabled": True }
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
shieldZoneId: 123,
requestIntegrity: {},
ipAddress: {},
browserFingerprint: {complexEnabled: true}
})
};

fetch('https://api.bunny.net/shield/shield-zone/{shieldZoneId}/bot-detection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": {
    "success": true,
    "message": "<string>",
    "errorKey": "<string>"
  },
  "data": {
    "requestIntegrity": {},
    "ipAddress": {},
    "browserFingerprint": {
      "complexEnabled": true
    },
    "shieldZoneId": 123
  }
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"error": {
"success": true,
"message": "<string>",
"errorKey": "<string>"
},
"data": {
"requestIntegrity": {},
"ipAddress": {},
"browserFingerprint": {
"complexEnabled": true
},
"shieldZoneId": 123
}
}
{
"error": {
"success": true,
"message": "<string>",
"errorKey": "<string>"
},
"data": {
"requestIntegrity": {},
"ipAddress": {},
"browserFingerprint": {
"complexEnabled": true
},
"shieldZoneId": 123
}
}

Path Parameters

shieldZoneId
integer<int32>
required

Body

shieldZoneId
integer<int32>
executionMode
enum<integer>

0 = LogOnly 1 = Challenge

Available options:
0,
1
requestIntegrity
object
ipAddress
object
browserFingerprint
object

Response

OK

error
object

Generic response object containing status information for API operations.

data
object
Last modified on July 7, 2026